using System;
using System.Collections.Generic;
using System.Text;

namespace sharpallegro5.src
{
    struct ManagedStruct
    {
        public IntPtr ptr;

        public static bool operator true(ManagedStruct managed)
        {
            return managed.ptr != IntPtr.Zero;
        }

        public static bool operator false(ManagedStruct managed)
        {
            return managed.ptr == IntPtr.Zero;
        }
    }
}
